> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.hollr.ai/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.hollr.ai/_mcp/server.

# Update a conversation

PUT https://api.hollr.ai/v1/conversation/conversation/{conversation_id}
Content-Type: application/json

Reference: https://docs.hollr.ai/api-reference/hollr-ai-api/conversations/update-conversation

## Authentication

- `hollr-api-key` header (required) — API key issued for your account. Every request is logged and rate-limited against this key.

## Request

### Path parameters

- `conversation_id` (string, required) — UUID of the conversation.

### Body (application/json)

- `tag` (string, optional)
- `aiSummary` (string, optional)
- `userSentiment` (string, optional)
- `status` (string, optional)
- `recordingUrl` (string, optional)
- `messages` (list of map from string to any, optional)
- `rawCallData` (map from string to any, optional)

## Response

### 200

Conversation updated.

- `status` (string, optional)
- `message` (string, optional)
- `data` (object, optional)
  - `id` (string, optional)
  - `userId` (string, optional)
  - `campaignId` (string, optional)
  - `callSid` (string, optional, nullable)
  - `streamSid` (string, optional, nullable)
  - `fromNumber` (string, optional)
  - `toNumber` (string, optional)
  - `direction` (enum, optional)
    - Allowed values: `inbound`, `outbound`
  - `status` (string, optional)
  - `duration` (integer, optional) — Duration in seconds.
  - `aiSummary` (string, optional, nullable)
  - `userSentiment` (string, optional, nullable)
  - `recordingUrl` (string, optional, nullable)
  - `tag` (string, optional, nullable)
  - `messages` (list of map from string to any, optional)
  - `source` (string, optional, nullable)
  - `timesCalled` (integer, optional)
  - `createdAt` (datetime, optional)
  - `updatedAt` (datetime, optional)

## Examples

**Request**

```json
{}
```

**Response**

```json
{
  "status": "success",
  "message": "string",
  "data": {
    "id": "string",
    "userId": "string",
    "campaignId": "string",
    "callSid": "string",
    "streamSid": "string",
    "fromNumber": "string",
    "toNumber": "string",
    "direction": "inbound",
    "status": "string",
    "duration": 1,
    "aiSummary": "string",
    "userSentiment": "string",
    "recordingUrl": "string",
    "tag": "string",
    "messages": [
      {}
    ],
    "source": "string",
    "timesCalled": 1,
    "createdAt": "2024-01-15T09:30:00Z",
    "updatedAt": "2024-01-15T09:30:00Z"
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.hollr.ai/v1/conversation/conversation/conversation_id"

payload = {}
headers = {
    "hollr-api-key": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.hollr.ai/v1/conversation/conversation/conversation_id';
const options = {
  method: 'PUT',
  headers: {'hollr-api-key': '<apiKey>', 'Content-Type': 'application/json'},
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.hollr.ai/v1/conversation/conversation/conversation_id"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("PUT", url, payload)

	req.Header.Add("hollr-api-key", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.hollr.ai/v1/conversation/conversation/conversation_id")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Put.new(url)
request["hollr-api-key"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.put("https://api.hollr.ai/v1/conversation/conversation/conversation_id")
  .header("hollr-api-key", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PUT', 'https://api.hollr.ai/v1/conversation/conversation/conversation_id', [
  'body' => '{}',
  'headers' => [
    'Content-Type' => 'application/json',
    'hollr-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.hollr.ai/v1/conversation/conversation/conversation_id");
var request = new RestRequest(Method.PUT);
request.AddHeader("hollr-api-key", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "hollr-api-key": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.hollr.ai/v1/conversation/conversation/conversation_id")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PUT"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```